*If(IntvData(User_Solution_Parameters,Int)==1)
//----------------------------------------------------------------------------
//                      Setting of Method in Interval *IntervalIndex
//----------------------------------------------------------------------------
SET *IntvData(Method)
*If(strcmp(IntvData(Method),"Arc-Length")==0)
 *IntvData(Arc-Length_Method)
 *IntvData(Arc-Length_Adjustment_Method)
 LOAD_DISPLACEMENT_RATIO *IntvData(Arc-Length_Load-displacement_ratio,real)
 *IntvData(Arc-Length_Load-displacement_adjustment_method)
 REFERENCE_NUMBER_OF_ITERATIONS *IntvData(Arc-Length_Optimal_number_of_iterations)
SET ARC_LENGTH_RESET_STEP_LENGTH
*#
*If(IntvData(SetStepLenghtAtNode,Int)==1)
SET STEP_LENGTH_ONCE *IntvData(STEP_LENGTH_ONCE,real)
  MIN_REL_REF_STEP_LENGTH 1.0 MAX_REL_REF_STEP_LENGTH 1.000000
  LOCATION NODE AT *IntvData(STEP_LENGTH_ONCE_Node,Int) DOF AT *\
*If(strcmp(IntvData(STEP_LENGTH_ONCE_Dir),"X")==0)
 1 *\
*ElseIf(strcmp(IntvData(STEP_LENGTH_ONCE_Dir),"Y")==0)
 2 *\
*Else
 3 *\
*EndIf
 COEFF 1.000 
*EndIf
*#
*EndIf
SET relative DISPLACEMENT Error *IntvData(Displacement_Error,Real)
SET relative RESIDUAL Error     *IntvData(Residual_Error,Real)
SET absolute RESIDUAL Error *IntvData(Absolute_Residual_Error,Real)
SET relative ENERGY Error  *IntvData(Energy_Error,Real)
SET Iteration limit  *IntvData(Iteration_limit,Int)
SET Optimize width *IntvData(Optimize_Band_Width)
SET *IntvData(Stiffness_type)
*If(strcmp(IntvData(Assemble_Stiffness_Matrix),"Each_Iteration")==0)
SET Full_NR
*Else
SET Modified_NR
*EndIf
*If(IntvData(Line-Search_Method,Int)==1)
SET Line-Search
SET *IntvData(Line_Search_With_Iterations)
SET Unbalanced_Energy_Limit *IntvData(Unbalanced_Energy_Limit,Real)
*If(strcmp(IntvData(Line_Search_With_Iterations),"Line_Search_With_Iterations")==0)
SET Line_Search_Iteration_Limit *IntvData(Line_Search_Iteration_Limit,Real)
*EndIf
SET Minimum_Eta *IntvData(Minimum_Eta,Real)
SET Maximum_Eta *IntvData(Maximum_Eta,Real)
*EndIf
SET SOLVER *IntvData(Solver)
*If(strcmp(IntvData(Solver),"PARDISO")==0 || strcmp(IntvData(Solver),"ICCG")==0 || strcmp(IntvData(Solver),"DCG")==0 || strcmp(IntvData(Solver),"DCGN")==0 || strcmp(IntvData(Solver),"LUCN")==0)
Set extend_accuracy_factor *IntvData(Extend_Accuracy_Factor)
*EndIf
*If(strcmp(IntvData(Solver),"PARDISO")==0)
SET PARDISO_REQUIRED_ACCURACY limit *IntvData(Pardiso_Required_accuracy,real) 
*EndIf
*If(strcmp(IntvData(Solver),"ICCG")==0 || strcmp(IntvData(Solver),"DCG")==0 || strcmp(IntvData(Solver),"DCGN")==0 || strcmp(IntvData(Solver),"LUCN")==0)
Set SLAP_ITERATION LIMIT *IntvData(Solver_Iter_limit)
*EndIf

*If(IntvData(Conditional_Break_Criteria,Int)==1)
SET relative STEP_STOP_DISPLACEMENT error factor *IntvData(step_stop_displacement,real) 
SET relative ITER_STOP_DISPLACEMENT error factor *IntvData(iter_stop_displacement,real)

SET relative STEP_STOP_RESIDUAL error factor *IntvData(step_stop_residual,real) 
SET relative ITER_STOP_RESIDUAL error factor *IntvData(iter_stop_residual,real)
 
SET absolute STEP_STOP_RESIDUAL error factor *IntvData(Absolute_Step_Stop_Residual,real) 
SET absolute ITER_STOP_RESIDUAL error factor *IntvData(Absolute_Iter_Stop_Residual,real)
 
SET relative STEP_STOP_ENERGY error factor *IntvData(step_stop_energy,real)
SET relative ITER_STOP_ENERGY error factor *IntvData(iter_stop_energy,real)
*Else
SET relative STEP_STOP_DISPLACEMENT error factor 1000000000
SET relative ITER_STOP_DISPLACEMENT error factor 1000000000

SET relative STEP_STOP_RESIDUAL error factor 1000000000 
SET relative ITER_STOP_RESIDUAL error factor 1000000000
 
SET absolute STEP_STOP_RESIDUAL error factor 1000000000
SET absolute ITER_STOP_RESIDUAL error factor 1000000000
 
SET relative STEP_STOP_ENERGY error factor 1000000000
SET relative ITER_STOP_ENERGY error factor 1000000000
*EndIf

*If(IntvData(Use_Iteration_With_Lowest_Error,Int)==1)
SET USE_BEST_ITERATION_FOR_CRITERION *IntvData(USE_BEST_ITERATION_FOR_CRITERION)
SET BEST_ITERATION_MIN_ID *IntvData(BEST_ITERATION_MIN_ID)
*Else
SET USE_BEST_ITERATION_FOR_CRITERION 0 
*EndIf

*If(IntvData(Repeat_No_Converged_Step,Int)==1)
SET  STEP_LOAD_REDUCTION_ALLOWANCE *IntvData(STEP_LOAD_REDUCTION_ALLOWANCE,int)
SET  REDUCE_STEP_LOAD_COEFF *IntvData(REDUCE_STEP_LOAD_COEFF,real)
*EndIf


*EndIf

*If(strcmp(GenData(Calculation_Analysis),"Transport")!=0)
*If(IntvData(Set_Reference_Configuration,Int)==1)
set REFERENCE_CONFIGURATION 
*EndIf
*EndIf
